Portability bug in genbki.sh --> initdb hangup

From: Andreas Zeugswetter <andreas(dot)zeugswetter(at)telecom(dot)at>
To: "'hackers(at)postgresql(dot)org'" <hackers(at)postgresql(dot)org>
Subject: Portability bug in genbki.sh --> initdb hangup
Date: 1998-08-25 08:55:11
Message-ID: 01BDD017.9AE0A240@zeugswettera.user.lan.at
Views: Raw Message | Whole Thread | Download mbox | Resend email
Thread:
Lists: pgsql-hackers

Can someone please apply this portability patch to genbki.sh ? (Mark or
Bruce?)
It fixes a problem when cpp gives a warning when precompiling /dev/null
like:
"/dev/null", line 1: 1506-229 (W) File is empty.
This leads to a hangup when doing the description load during initdb,
since stderr also ends up in the global1.description and
local1_template1.description

stderr has to be redirected to /dev/null:

*** genbki.sh.ori Tue Aug 21 18:18:03 1998
--- genbki.sh Tue Aug 25
10:32:19 1998
***************
*** 24,30 ****
>/tmp/genbki.tmp


PATH=$PATH:/lib:/usr/ccs/lib:/usr/ccs/lbin # to find cpp
! cpp
/dev/null >/dev/null
if [ "$?" -ne 0 ]
then echo "Can't find cpp.
Exiting." 1>&2
exit 1
--- 24,30 ----
>/tmp/genbki.tmp


PATH=$PATH:/lib:/usr/ccs/lib:/usr/ccs/lbin # to find cpp
! cpp
/dev/null >/dev/null 2>&1
if [ "$?" -ne 0 ]
then echo "Can't find cpp.
Exiting." 1>&2
exit 1

Responses

Browse pgsql-hackers by date

  From Date Subject
Next Message Sferacarta Software 1998-08-25 09:10:29 Re[2]: [GENERAL] DELETE statement DOESN'T WORK ANYMORE
Previous Message Tatsuo Ishii 1998-08-25 07:05:23 Re: [HACKERS] Open 6.4 items